Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.svg
Interface SVGPathSegConstants

All Known Implementing Classes:
  AbstractSVGNormPathSegList, AbstractSVGPathSegList, SVGOMAnimatedPathData.AnimSVGPathSegList, SVGOMAnimatedPathData.BaseSVGPathSegList, SVGOMAnimatedPathData.NormalizedBaseSVGPathSegList, SVGOMPathElement

    public interface SVGPathSegConstants

Constants for the SVGPathSeg interface.

Field Summary
`static String` | `PATHSEG_ARC_ABS_LETTER`
`static String` | `PATHSEG_ARC_REL_LETTER`
`static String` | `PATHSEG_CLOSEPATH_LETTER`
`static String` | `PATHSEG_CURVETO_CUBIC_ABS_LETTER`
`static String` | `PATHSEG_CURVETO_CUBIC_REL_LETTER`
`static String` | `PATHSEG_CURVETO_CUBIC_SMOOTH_ABS_LETTER`
`static String` | `PATHSEG_CURVETO_CUBIC_SMOOTH_REL_LETTER`
`static String` | `PATHSEG_CURVETO_QUADRATIC_ABS_LETTER`
`static String` | `PATHSEG_CURVETO_QUADRATIC_REL_LETTER`
`static String` | `PATHSEG_CURVETO_QUADRATIC_SMOOTH_ABS_LETTER`
`static String` | `PATHSEG_CURVETO_QUADRATIC_SMOOTH_REL_LETTER`
`static String[]` | `PATHSEG_LETTERS` Path segment letters.
`static String` | `PATHSEG_LINETO_ABS_LETTER`
`static String` | `PATHSEG_LINETO_HORIZONTAL_ABS_LETTER`
`static String` | `PATHSEG_LINETO_HORIZONTAL_REL_LETTER`
`static String` | `PATHSEG_LINETO_REL_LETTER`
`static String` | `PATHSEG_LINETO_VERTICAL_ABS_LETTER`
`static String` | `PATHSEG_LINETO_VERTICAL_REL_LETTER`
`static String` | `PATHSEG_MOVETO_ABS_LETTER`
`static String` | `PATHSEG_MOVETO_REL_LETTER`

Field Detail

### PATHSEG_ARC_ABS_LETTER

    static final String PATHSEG_ARC_ABS_LETTER

See Also:
  Constant Field Values

### PATHSEG_ARC_REL_LETTER

    static final String PATHSEG_ARC_REL_LETTER

See Also:
  Constant Field Values

### PATHSEG_CLOSEPATH_LETTER

    static final String PATHSEG_CLOSEPATH_LETTER

See Also:
  Constant Field Values

### PATHSEG_CURVETO_CUBIC_ABS_LETTER

    static final String PATHSEG_CURVETO_CUBIC_ABS_LETTER

See Also:
  Constant Field Values

### PATHSEG_CURVETO_CUBIC_REL_LETTER

    static final String PATHSEG_CURVETO_CUBIC_REL_LETTER

See Also:
  Constant Field Values

### PATHSEG_CURVETO_CUBIC_SMOOTH_ABS_LETTER

    static final String PATHSEG_CURVETO_CUBIC_SMOOTH_ABS_LETTER

See Also:
  Constant Field Values

### PATHSEG_CURVETO_CUBIC_SMOOTH_REL_LETTER

    static final String PATHSEG_CURVETO_CUBIC_SMOOTH_REL_LETTER

See Also:
  Constant Field Values

### PATHSEG_CURVETO_QUADRATIC_ABS_LETTER

    static final String PATHSEG_CURVETO_QUADRATIC_ABS_LETTER

See Also:
  Constant Field Values

### PATHSEG_CURVETO_QUADRATIC_REL_LETTER

    static final String PATHSEG_CURVETO_QUADRATIC_REL_LETTER

See Also:
  Constant Field Values

### PATHSEG_CURVETO_QUADRATIC_SMOOTH_ABS_LETTER

    static final String PATHSEG_CURVETO_QUADRATIC_SMOOTH_ABS_LETTER

See Also:
  Constant Field Values

### PATHSEG_CURVETO_QUADRATIC_SMOOTH_REL_LETTER

    static final String PATHSEG_CURVETO_QUADRATIC_SMOOTH_REL_LETTER

See Also:
  Constant Field Values

### PATHSEG_LINETO_ABS_LETTER

    static final String PATHSEG_LINETO_ABS_LETTER

See Also:
  Constant Field Values

### PATHSEG_LINETO_HORIZONTAL_ABS_LETTER

    static final String PATHSEG_LINETO_HORIZONTAL_ABS_LETTER

See Also:
  Constant Field Values

### PATHSEG_LINETO_HORIZONTAL_REL_LETTER

    static final String PATHSEG_LINETO_HORIZONTAL_REL_LETTER

See Also:
  Constant Field Values

### PATHSEG_LINETO_REL_LETTER

    static final String PATHSEG_LINETO_REL_LETTER

See Also:
  Constant Field Values

### PATHSEG_LINETO_VERTICAL_ABS_LETTER

    static final String PATHSEG_LINETO_VERTICAL_ABS_LETTER

See Also:
  Constant Field Values

### PATHSEG_LINETO_VERTICAL_REL_LETTER

    static final String PATHSEG_LINETO_VERTICAL_REL_LETTER

See Also:
  Constant Field Values

### PATHSEG_MOVETO_ABS_LETTER

    static final String PATHSEG_MOVETO_ABS_LETTER

See Also:
  Constant Field Values

### PATHSEG_MOVETO_REL_LETTER

    static final String PATHSEG_MOVETO_REL_LETTER

See Also:
  Constant Field Values

### PATHSEG_LETTERS

    static final String[] PATHSEG_LETTERS

  Path segment letters.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.